GuiCommand model: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(<translate>)
Line 1: Line 1:
<translate>
{{GuiCommand|Name=Base ExampleCommandModel|MenuLocation=Sample -> Command|Workbenches=Wb1,Wb2}}
{{GuiCommand|Name=Base ExampleCommandModel|MenuLocation=Sample -> Command|Workbenches=Wb1,Wb2}}


Line 33: Line 34:


The ExampleCommandModel tool can by used in [[macros]] and from the python console by using the following function:
The ExampleCommandModel tool can by used in [[macros]] and from the python console by using the following function:
</translate>

'''makeExampleCommandModel (Data, Data)'''
'''makeExampleCommandModel (Data, Data)'''
<translate>

* Creates a CommandModel using Data.
* Creates a CommandModel using Data.
* Returns the newly created object.
* Returns the newly created object.


Example:
Example:
</translate>

import FreeCAD, Base
import FreeCAD, Base
Base.makeExampleCommandModel(FreeCAD.Data,FreeCAD.Data)
Base.makeExampleCommandModel(FreeCAD.Data,FreeCAD.Data)
<translate>

==Other==
==Other==
Optional
Optional


</translate>
{{languages | {{es|GuiCommand_model/es}} {{fr|GuiCommand_model/fr}} {{it|GuiCommand_model/it}} {{jp|GuiCommand_model/jp}}}}
{{clear}}
<languages/>

Revision as of 18:39, 23 August 2014

Base ExampleCommandModel

Menu location
Sample -> Command
Workbenches
Wb1,Wb2
Default shortcut
None
Introduced in version
-
See also
None

Description

Description

image

How to use

  1. How to use
  2. How to use

Options

Create Geometry

{{TitleTasks|[[Image:Icon.png|24]] + Text}} (Code for the main title Tasks)
  • TASK Tasks : Tasks
{{PropertyTasks|Tasks}} (Code of title Tasks)
  • Options

Properties

Base

{{TitleProperty|Base}}  (Code for the main title Properties)
  • DataProperties: Properties
{{PropertyData|Properties}} (Code of title Data)
  • ViewProperties: Properties
{{PropertyView|Properties}} (Code of title View)

Example

Optional

Scripting

The ExampleCommandModel tool can by used in macros and from the python console by using the following function:

makeExampleCommandModel (Data, Data)
  • Creates a CommandModel using Data.
  • Returns the newly created object.

Example:

import FreeCAD, Base
Base.makeExampleCommandModel(FreeCAD.Data,FreeCAD.Data)

Other

Optional